//gamewindow.h - declaration of the class GameWindow
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#ifndef __gamewindow_h__
#define __gamewindow_h__

#include <qpe/qpeapplication.h>
#include <qmainwindow.h>
#include <qstatusbar.h>
#include <qlayout.h>
#include <qpopupmenu.h>
#include <qmenubar.h>
#include <qmessagebox.h>
#include <level.h>
#include <gnutypeselector.h>
#include <levelloader.h>
#include <guipics.h>
#include <gnuzwindow.h>
#include <gnuzconfig.h>

//----------------------------------------------------------
/*
 * GameWindow
 *
 * Manages Widget Layout, MenuBar, LCDNumbers etc.
 *
 */

class GameWindow : public QObject
{
 Q_OBJECT

 protected:
  Level *level_;
  LevelLoader *levelloader_;

  GnuTypeSelector *gnutypeselector_;
  GnuzConfig *config_;
  GuiPics *guipics_;

  GnuzWindow *main_window_;
  QWidget *levelwidget_;
  QWidget *loadlevelwidget_;
  QVBoxLayout *main_layout_;

  QPopupMenu* filemenu_;
  QPopupMenu* helpmenu_;
  QMenuBar* menubar_;

  bool scrolling_disabled_;

 public slots:
  void setButtonsDisabled(bool);
  void openLevelLoader();
  void hideLevelLoader();
  void displayAboutWindow();
  void handleKeyPressedEvent(QKeyEvent*);

 public:
  GameWindow();
  virtual ~GameWindow();

  QMainWindow * getMainWindow() { return(main_window_); }
  QWidget * getMainWidget() { return(levelwidget_); }
};

#endif // __gamewindow_h__
