//gnupics.h - declaration of the class Gnupics
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#ifndef __gnupics_h__
#define __gnupics_h__

#include <qapplication.h>
#include <qcanvas.h>
#include <qmap.h>
#include <qimage.h>
#include <qfile.h>
#include <qlist.h>
#include <gnuzdata.h>
#include <gnuzconfig.h>

//----------------------------------------------------------
/*
 * GnuPics
 * 
 * Stores Gnupics
 *
 */

class GnuPics
{
 protected:
  QMap<QString, QCanvasPixmapArray *> gnupics_;
  GnuzConfig *config_;
  GnuzData *picsdata_;

 public:
  GnuPics(GnuzConfig *config);
  virtual ~GnuPics();

  void mirror(QString name, int framecount, bool mirror);
  QCanvasPixmapArray * getPics(QString pics) { return(gnupics_[pics]); }

  int getGnuWidth() { return(gnupics_["Walker0"]->image(0)->width()); }
  int getGnuHeight() { return(gnupics_["Walker1"]->image(0)->height()); }
  int getNumberWidth() { return(gnupics_["Countdown"]->image(0)->width()); }
  int getNumberHeight() { return(gnupics_["Countdown"]->image(0)->height()); }
};

#endif // __gnupics_h__
