//gnutypeselectbutton.cpp - definition of the methods of GnuTypeSelectButton
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#include <gnutypeselectbutton.h>

//-------------------------------------------------------------
/*
 * constructor of GnuTypeSelectButton
 *
 * @param filename qpixmap picture
 * @param parent
 * @param type gnutype (1=blocker 2=digger ...)
 */

GnuTypeSelectButton::GnuTypeSelectButton(QPixmap *pixmap, QWidget *parent, QString type):QPushButton(parent)
{
  type_=type;
  setPixmap(*pixmap);
  //setFlat(1);
  setToggleButton(1);
  setFocusPolicy(QWidget::NoFocus);
  
  setSizePolicy(QSizePolicy(QSizePolicy::MinimumExpanding, QSizePolicy::MinimumExpanding));
  QObject::connect(this, SIGNAL(clicked()), this, SLOT(changeType()));
}

//-------------------------------------------------------------
/*
 * SLOT: button pressed -> change active gnu type
 */

void GnuTypeSelectButton::changeType()
{
  emit newType(type_);
}
