//gnutypeselectbutton.h - declaration of the class GnuTypeSelectButton
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#ifndef __gnutypeselectbutton_h__
#define __gnutypeselectbutton_h__

#include <qapplication.h>
#include <qpixmap.h>
#include <qpushbutton.h>

//----------------------------------------------------------
/*
 * GnuTypeSelectButton
 * 
 * Inherits QPushButton
 *
 */

class GnuTypeSelectButton : public QPushButton
{
 Q_OBJECT

 protected:
  QString type_;

 signals:
  void newType(QString);

 public slots:
  void changeType();

 public:
  GnuTypeSelectButton(QPixmap * pixmap, QWidget * parent, QString type);

  QString getType() { return(type_); }
};

#endif // __gnutypeselectbutton_h__
