//gnutypeselectlabel.h - declaration of the class GnuTypeSelectLabel
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#ifndef __gnutypeselectlabel_h__
#define __gnutypeselectlabel_h__

#include <qapplication.h>
#include <qlabel.h>

//----------------------------------------------------------
/*
 * GnuTypeSelectLabel
 * 
 * Inherits QLabel
 *
 */

class GnuTypeSelectLabel : public QLabel
{
 Q_OBJECT

 signals:
  void valueChanged();

 protected:
  int start_value_;
  int min_value_;
  int value_;
  int emit_signal_;

 public:
  GnuTypeSelectLabel(QWidget * parent, int min_value, int value, int emit_signal=0);

  void setNum(int value);
  void setMinValue(int min_value) { min_value_=min_value; }
  void setStartValue(int start_value) { start_value_=start_value; }
  int getNum() { return(value_); }
  int getMinValue() { return(min_value_); }
  int getStartValue() { return(start_value_); }
};

#endif // __gnutypeselectlabel_h__
