//gnutypeselector.h - declaration of the class GnuTypeSelector
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#ifndef __gnutypeselector_h__
#define __gnutypeselector_h__

#include <qapplication.h>
#include <qlayout.h>
#include <qmap.h>
#include <gnutypeselectbutton.h>
#include <gnutypeselectlabel.h>
#include <qlabel.h> 
#include <guipics.h>
#include <gnuzconfig.h>

//----------------------------------------------------------
/*
 * GnuTypeSelector
 * 
 * Consists of a few GnuTypeSelectButtons for choosing Gnu type
 *
 */

class GnuTypeSelector : public QObject
{
 Q_OBJECT

 protected:
  int killall_pressed_;
  typedef QMap<QString, GnuTypeSelectButton *> ButtonMap;
  ButtonMap buttons_;
  typedef QMap<QString, GnuTypeSelectLabel *> LabelMap;
  LabelMap label_numbers_;
  QGridLayout *layout_;
  QString type_;
  QLabel *label_gnusleft_image_;
  QLabel *label_gnussaved_image_;
  GuiPics *guipics_;
  GnuzConfig *config_;

 signals:
  void newType(QString);

 public slots:
  void changeType(QString);
  void changeButtonPixmap(QString, QString);
  void GnuTypeChanged();
  void setGnuConfig(int gnucount, int gnuminsave, int numblockers, int numdiggers, int numbashers, int numbuilders, int numfloaters, int numclimbers, int numbombers);

 public:
  GnuTypeSelector(QWidget *parent, GnuzConfig *config, GuiPics *guipics);
  virtual ~GnuTypeSelector();
  void setButtonsDisabled(int disabled);
  QGridLayout * getLayout() { return(layout_); }
  GnuTypeSelectLabel * getGnusLeftCounter() { return(label_numbers_["GnusLeft"]); }
  GnuTypeSelectLabel * getGnusSavedCounter() { return(label_numbers_["GnusSaved"]); }
  GnuTypeSelectButton * getButton(QString name) { return(buttons_[name]); }
  GnuTypeSelectLabel * getLabel(QString name) { return(label_numbers_[name]); }
};

#endif // __gnutypeselector_h__
