//gnuzconfig.cpp - definition of the methods of GnuzConfig
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#include <gnuzconfig.h>

//-------------------------------------------------------------
/*
 * constructor of GnuzConfig
 */

GnuzConfig::GnuzConfig()
{
  Config *config = new Config("gnuz");
  config->setGroup("Settings");
  picsdir_ = config->readEntry("PicsDir", "/opt/QtPalmtop/share/gnuz/");
  leveldir_ = config->readEntry("LevelDir", "/opt/QtPalmtop/share/gnuz/levels/");
  height_ = config->readNumEntry("Height", 200); //Height of QCanvasView
  intro_ = config->readEntry("Intro", "intro");
  gnu_speed_normal_ = config->readNumEntry("NormalGnuSpeed", 75); //AdvancePeriod
  gnu_builder_steps_ = config->readNumEntry("GnuBuilderSteps", 25);
  gnu_move_in_ = config->readNumEntry("GnuMoveIn", 6);
  gnu_max_fall_ = config->readNumEntry("GnuMaxFallHeight", 85);

  delete config;
}

//-------------------------------------------------------------
/*
 * destructor of GnuzConfig
 */

GnuzConfig::~GnuzConfig()
{
}

//-------------------------------------------------------------
/*
 * SLOT: write params into config file
 */

void GnuzConfig::writeConfig()
{
  Config *config = new Config("gnuz");
  config->setGroup("Settings");
  config->writeEntry("PicsDir", picsdir_);
  config->writeEntry("LevelDir", leveldir_);
  config->writeEntry("Height", height_);
  config->writeEntry("Intro", intro_);
  config->writeEntry("NormalGnuSpeed", gnu_speed_normal_);
  config->writeEntry("GnuBuilderSteps", gnu_builder_steps_);
  config->writeEntry("GnuMoveIn", gnu_move_in_);
  config->writeEntry("GnuMaxFallHeight", gnu_max_fall_);
  config->removeEntry("FastGnuSpeed"); //FIXXME
  config->removeEntry("MaximumHeight"); //FIXXME
  delete config;
}
