//gnuzconfig.h - read config file
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#ifndef __gnuzconfig_h__
#define __gnuzconfig_h__

#include <qpe/qpeapplication.h>
#include <qpe/config.h>

//----------------------------------------------------------
/*
 * GnuzConfig
 * 
 * Read config file
 *
 */

class GnuzConfig : public QObject
{
 Q_OBJECT

 protected:
  int height_;
  QString picsdir_;
  QString leveldir_;
  QString intro_;
  int gnu_speed_normal_;
  int gnu_builder_steps_;
  int gnu_move_in_;
  int gnu_max_fall_;

 public slots:
  void writeConfig();

 public:
  GnuzConfig();
  virtual ~GnuzConfig();
  
  int getHeight() { return(height_); }
  QString getPicsDir() { return(picsdir_); }
  QString getLevelDir() { return(leveldir_); }
  QString getIntro() { return(intro_); }
  int getNormalGnuSpeed() { return(gnu_speed_normal_); }
  int getGnuBuilderMaxSteps() { return(gnu_builder_steps_); }
  int getGnuMoveIn() { return(gnu_move_in_); }
  int getGnuMaxFallHeight() { return(gnu_max_fall_); }
};

#endif // __gnuzconfig_h__
