//gnuzdata.cpp - definition of the methods of GnuzData
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#include <gnuzdata.h>

//-------------------------------------------------------------
/*
 * constructor of GnuzData
 *
 * @param filename data filename
 */

GnuzData::GnuzData(QString filename)
{
  file_ = new QFile(filename);
  file_->open(IO_ReadOnly);
  stream_ = new QDataStream(file_);
}

GnuzData::~GnuzData()
{
  delete stream_;
  delete file_;
}

QImage GnuzData::getImage()
{
  QImage temp;
  *stream_>>temp;
  temp=temp.convertDepth(32);
  temp.setAlphaBuffer(1);
  return(temp);
}

QPixmap GnuzData::getPixmap()
{
  QImage temp;
  QPixmap temp_pixmap;
  *stream_>>temp;
  temp=temp.convertDepth(32);
  temp.setAlphaBuffer(1);
  temp_pixmap.convertFromImage(temp);
  return(temp_pixmap);
}

QStringList GnuzData::getStringList()
{
  QString temp;
  QStringList temp_stringlist;
  *stream_>>temp;
  temp_stringlist=QStringList::split("\n", temp);
  return(temp_stringlist);
}
