//gnuzdata.h - read .dat files
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#ifndef __gnuzdata_h__
#define __gnuzdata_h__

#include <qfile.h>
#include <qimage.h>
#include <qdatastream.h> 

//----------------------------------------------------------
/*
 * GnuzData
 * 
 * Read .dat files
 *
 */

class GnuzData
{
 protected:
  QFile *file_;
  QDataStream *stream_;

 public:
  GnuzData(QString filename);
  virtual ~GnuzData();
  
  QImage getImage();
  QPixmap getPixmap();
  QStringList getStringList();
};

#endif // __gnuzdata_h__
