//gnuztimer.h - declaration of the class GnuzTimer
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#ifndef __gnuztimer_h__
#define __gnuztimer_h__

#include <qapplication.h>
#include <qdatetime.h>
#include <stdio.h>

//----------------------------------------------------------
/*
 * GnuzTimer
 * 
 * Advanced QTime, counting the ms elapsed (can be paused/resumed)
 *
 */

class GnuzTimer : public QTime
{
 protected:
  int elapsed_time_; //added to time when paused/resumed
  bool pause_;
  int speed_;

 public:
  GnuzTimer();
  virtual ~GnuzTimer();

  void restart();
  void pause();
  void resume();
  void setFastForward(int speed);

  QString getTimeStamp(int seconds=0);
  int getMinutes() { return(getSeconds()/60); }
  int getSeconds() { return(((elapsed()*speed_)+elapsed_time_)/1000); }
};

#endif // __gnuztimer_h__
