//gnuzwindow.cpp - definition of the methods of GnuzWindow
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#include <gnuzwindow.h>

//-------------------------------------------------------------
/*
 * constructor of GnuzWindow
 */

GnuzWindow::GnuzWindow(bool grabkeys):QMainWindow()
{
  grabkeys_=grabkeys;
}

//-------------------------------------------------------------
/*
 * closeEvent method emits a signal - supposed to be the same thing like pressing the 'Cancel' button
 *
 * @param e
 */

void GnuzWindow::closeEvent(QCloseEvent* e)
{
  e->accept();

  emit windowclosed();
}

//-------------------------------------------------------------
/*
 * catch all key press events
 *
 * @param e
 */

void GnuzWindow::keyPressEvent(QKeyEvent *e)
{
  if (grabkeys_)
    emit keyPressEventSignal(e);
}
