//gnuzwindow.h - declaration of the class GnuzWindow
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#ifndef __gnuzwindow_h__
#define __gnuzwindow_h__

#include <qmainwindow.h>

//----------------------------------------------------------
/*
 * GnuzWindow
 * 
 * Inherits QMainWindow
 *
 */

class GnuzWindow : public QMainWindow
{
 Q_OBJECT

 signals:
  void windowclosed();
  void keyPressEventSignal(QKeyEvent*);

 protected:
  virtual void closeEvent(QCloseEvent* e);
  virtual void keyPressEvent(QKeyEvent *e);
  bool grabkeys_;
 
 public:
  GnuzWindow(bool grabkeys=FALSE);
};

#endif // __gnuzwindow_h__
