//guipics.cpp - definition of the methods of GuiPics
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#include <guipics.h>

//-------------------------------------------------------------
/*
 * constructor of GuiPics
 */

GuiPics::GuiPics(GnuzConfig *config)
{
  config_=config;

  guipics_.clear();

  picsdata_ = new GnuzData(config_->getPicsDir()+"guiimages.dat");

  guipics_.insert("Bomb", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("Bomb_activated", new QPixmap(picsdata_->getPixmap()));

  guipics_.insert("Difficulty0", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("Difficulty1", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("Difficulty2", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("Difficulty3", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("Difficulty4", new QPixmap(picsdata_->getPixmap()));

  guipics_.insert("FastForward", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("FastForward_inactive", new QPixmap(picsdata_->getPixmap()));

  guipics_.insert("Basher", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("Blocker", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("Bomber", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("Builder", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("Climber", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("Digger", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("Floater", new QPixmap(picsdata_->getPixmap()));

  guipics_.insert("GnusLeft", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("GnusSaved", new QPixmap(picsdata_->getPixmap()));

  guipics_.insert("LevelStats", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("LevelStatsGameOver", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("LevelStatsLevelComplete", new QPixmap(picsdata_->getPixmap()));

  guipics_.insert("LevelLoader_Cancel", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("LevelLoader_OK", new QPixmap(picsdata_->getPixmap()));

  guipics_.insert("NavAbout", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("NavLoadLevel", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("NavQuit", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("NavRestartLevel", new QPixmap(picsdata_->getPixmap()));

  guipics_.insert("Pause", new QPixmap(picsdata_->getPixmap()));
  guipics_.insert("Play", new QPixmap(picsdata_->getPixmap()));
}

//-------------------------------------------------------------
/*
 * destructor of GuiPics
 */

GuiPics::~GuiPics()
{
  delete picsdata_;
}
