//herd.h - declaration of the class Herd
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#ifndef __herd_h__
#define __herd_h__

#include <qapplication.h>
#include <qcanvas.h>
#include <qimage.h>
#include <gnu.h>
#include <levelpics.h>
#include <gnupics.h>
#include <gnutypeselectlabel.h>
#include <qvaluelist.h>
#include <gnuzconfig.h>

//----------------------------------------------------------
/*
 * Herd
 * 
 * Herd of Gnus
 *
 */

class Herd : public QObject
{
 Q_OBJECT

 signals:
  void changeButtonPixmap(QString, QString);
  void changeAdvancePeriod(int);
  void changeFastForwardMode(bool);

 public slots:
  void changeType(QString);

 protected:
  QValueList<Gnu *> herd_;
  QCanvas *parent_;
  QCanvas *garbage_canvas_;
  GnuPics *gnupics_;
  LevelPics *levelpics_;
  GnuTypeSelectLabel *gnusleft_;
  GnuTypeSelectLabel *gnussaved_;
  QString type_;
  int gnu_count_;
  int speed_;
  bool fast_mode_;
  GnuzConfig *config_;
  int *level_advanceperiod_;
  
 public:
  Herd(QCanvas *parent, int *level_advanceperiod, LevelPics *levelpics, GnuTypeSelectLabel *gnusleft, GnuTypeSelectLabel *gnussaved, GnuzConfig *config);
  virtual ~Herd();

  void createHerd(int gnu_count, int gnu_xspawn, int gnu_yspawn, int gnu_orientation);
  int getGnuCount() { return(gnu_count_); }
  int getSpeed() { return(speed_); }
  GnuTypeSelectLabel * getGnusLeftCounter() { return(gnusleft_); }
  GnuTypeSelectLabel * getGnusSavedCounter() { return(gnussaved_); }
};

#endif // __herd_h__
