//levelcanvasview.cpp - definition of the methods of LevelCanvasView
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#include <levelcanvasview.h>

//-------------------------------------------------------------
/*
 * constructor of LevelCanvasView
 *
 * @param canvas
 * @param parent
 */

LevelCanvasView::LevelCanvasView(QCanvas * canvas, QWidget * parent):QCanvasView(canvas, parent)
{
}

//-------------------------------------------------------------
/*
 * destructor of LevelCanvasView
 */

LevelCanvasView::~LevelCanvasView()
{
}

//-------------------------------------------------------------
/*
 * get canvas item when clicked on it
 *
 * @param e
 */

void LevelCanvasView::contentsMousePressEvent(QMouseEvent *e)
{
  bool type_changed=0;

  QCanvasItemList hitList = canvas()->collisions(e->pos());

  if (!hitList.isEmpty())
  {
    if (hitList.first()->rtti() == gnuRTTI)
    {
      Gnu *clickedGnu = (Gnu*)hitList.first();
      type_changed=clickedGnu->clicked();

      if (type_changed) emit GnuTypeChanged();
    }
  }
}
