//levelconfig.cpp - definition of the methods of LevelConfig
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#include <levelconfig.h>

//-------------------------------------------------------------
/*
 * constructor of LevelConfig
 */

LevelConfig::LevelConfig()
{
}

//-------------------------------------------------------------
/*
 * destructor of LevelConfig
 */

LevelConfig::~LevelConfig()
{
}

//-------------------------------------------------------------
/*
 * Load Config
 *
 * @param filename
 */

void LevelConfig::loadConfig(QString filename, bool nopics)
{
  leveldata_ = new GnuzData(filename);

  data_.clear();

  QStringList levelconfig=leveldata_->getStringList();
  QStringList levelconfig_line;

  for ( QStringList::Iterator it = levelconfig.begin(); it != levelconfig.end(); ++it )
  {
    levelconfig_line=levelconfig.split("=", *it);
    QString param = levelconfig_line[0];
    QString value = levelconfig_line[1];
    
    data_.insert(param, value);
  }

  if (!nopics)
  {
    levelpic_=leveldata_->getPixmap();
    levelmask_=leveldata_->getImage();
  }
}

//-------------------------------------------------------------
/*
 * Check if config is valid
 */

bool LevelConfig::isValid()
{
  if ((data_.contains("LevelName"))&&(data_.contains("LevelAuthor"))&&(data_.contains("LevelPicFilename"))&&(data_.contains("LevelMaskFilename"))&&(data_.contains("LevelParTime"))&&(data_.contains("GnuCount"))&&(data_.contains("GnuMinSave"))&&(data_.contains("GnuOrientation"))&&(data_.contains("GnuXSpawnPoint"))&&(data_.contains("GnuYSpawnPoint"))&&(data_.contains("GnuBlockers"))&&(data_.contains("GnuDiggers"))&&(data_.contains("GnuBashers"))&&(data_.contains("GnuBuilders"))&&(data_.contains("GnuFloaters"))&&(data_.contains("GnuClimbers"))&&(data_.contains("GnuBombers")))
     return(true);
  else
    return(false);
}
