//levelconfig.h - declaration of the class Levelconfig
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#ifndef __levelconfig_h__
#define __levelconfig_h__

#include <qapplication.h>
#include <qiodevice.h>
#include <qfile.h> 
#include <qdom.h>
#include <gnuzconfig.h>
#include <qmap.h>
#include <qtextstream.h>
#include <qstring.h>
#include <gnuzdata.h>

//----------------------------------------------------------
/*
 * LevelConfig
 * 
 * Read Level config file
 *
 */

class LevelConfig
{
 protected:
  QMap<QString, QString> data_;
  QPixmap levelpic_;
  QImage levelmask_;
  GnuzData *leveldata_;

 public:
  LevelConfig();
  virtual ~LevelConfig();

  void loadConfig(QString filename, bool nopics=FALSE);
  bool isValid();

  QString getLevelData(QString position) { return(data_[position]); }
  int getGnuData(QString position) { return(data_[position].toInt()); }
  QPixmap getLevelPic() { return(levelpic_); }
  QImage getLevelMask() { return(levelmask_); }
};

#endif // __levelconfig_h__
