//levelloader.h - declaration of the class LevelLoader
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#ifndef __levelloader_h__
#define __levelloader_h__

#include <qapplication.h>
#include <qmainwindow.h>
#include <qlayout.h>
#include <qdir.h>
#include <qlistview.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qpainter.h>
#include <qimage.h> 
#include <qpixmap.h> 
#include <levelconfig.h>
#include <gnuzconfig.h>
#include <levelloaderitem.h>
#include <guipics.h>
#include <gnuzwindow.h>

//----------------------------------------------------------
/*
 * LevelLoader
 * 
 * 
 */

class LevelLoader : public QObject
{
 Q_OBJECT
   
 signals:
  void loadLevel(QString);
  void cancelLoadLevel();

 public slots:
  void loadLevelclicked();
  void cancelclicked();
  void updatePreviewPic(QListViewItem * item);

 protected:
  GnuzWindow *loader_window_;
  QWidget *loader_widget_;
  QVBoxLayout *loader_layout_;
  QHBoxLayout *button_layout_;
  QListView *levellist_;
  QLabel *levelpic_;
  QPushButton *loadbutton_;
  QPushButton *cancelbutton_;
  LevelConfig *levelconfig_;
  GuiPics *guipics_;
  GnuzConfig *config_;
  bool window_created_;

 public:
  LevelLoader(GnuzConfig *config, GuiPics *guipics);
  virtual ~LevelLoader();

  void createWindow();
  void show() { loader_window_->show(); }
  void raise() { loader_window_->raise(); }
  void hide() { loader_window_->hide(); }
  void getLevels();
  bool isWindowCreated() { return(window_created_); }
};

#endif // __levelloader_h__
