//levelstats.h - declaration of the class LevelStats
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#ifndef __levelstats_h__
#define __levelstats_h__

#include <qapplication.h>
#include <qcanvas.h>
#include <qpainter.h>
#include <gnutypeselector.h>
#include <guipics.h>
#include <gnuzconfig.h>
#include <gnuztimer.h>
#include <levelconfig.h>

//----------------------------------------------------------
/*
 * LevelStats
 * 
 * Show stats of last level
 *
 */

class LevelStats
{
 protected:
  int v_border_;
  int h_border_;
  QCanvasPixmap *statscanvaspixmap_;
  QCanvasPixmapArray *statscanvaspixmaparray_;
  GnuTypeSelector *gnutypeselector_;
  GuiPics *guipics_;
  GnuzConfig *config_;
  GnuzTimer *gnuztimer_;
  LevelConfig *levelconfig_;

 public:
  LevelStats(GnuTypeSelector * gnutypeselector, LevelConfig *levelconfig, GnuzConfig *config, GuiPics *guipics, GnuzTimer *gnuztimer);
  virtual ~LevelStats();

  QCanvasPixmapArray * getStats();
};

#endif // __levelstats_h__
